Package com.orbbec.obsensor

## Enum StreamType

- java.lang.Object
- - java.lang.Enum<StreamType>
  - - com.orbbec.obsensor.StreamType

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<StreamType>`

    public enum StreamType
    extends java.lang.Enum<StreamType>

Enumeration value describing the type of data stream

### Enum Constant Summary

Enum Constants
`ACCEL` Accelerometer data stream
`COLOR` color stream
`DEPTH` depth stream
`GYRO` Gyroscope data stream
`IR` infrared stream
`IR_LEFT` Left IR stream
`IR_RIGHT` Right IR stream
`RAW_PHASE` RawPhase Stream
`VIDEO` Video stream (infrared, color, depth streams are all video streams)

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static StreamType` `get​(int value)` Get the data stream type corresponding to the specified index
`int` `value()` Get the index corresponding to the data stream type
`static StreamType` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static StreamType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### VIDEO

    public static final StreamType VIDEO

Video stream (infrared, color, depth streams are all video streams)

#### IR

    public static final StreamType IR

infrared stream

#### COLOR

    public static final StreamType COLOR

color stream

#### DEPTH

    public static final StreamType DEPTH

depth stream

#### ACCEL

    public static final StreamType ACCEL

Accelerometer data stream

#### GYRO

    public static final StreamType GYRO

Gyroscope data stream

#### IR_LEFT

    public static final StreamType IR_LEFT

Left IR stream

#### IR_RIGHT

    public static final StreamType IR_RIGHT

Right IR stream

#### RAW_PHASE

    public static final StreamType RAW_PHASE

RawPhase Stream

### Method Detail

#### values

    public static StreamType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (StreamType c : StreamType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static StreamType valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### value

    public int value()

Get the index corresponding to the data stream type

Returns:
  index value

#### get

    public static StreamType get​(int value)

Get the data stream type corresponding to the specified index

Parameters:
  `value` - index value
Returns:
  data stream type